# $Revision: 1.36 $, $Date: 2011/07/15 18:42:36 $
%bcond_without	python2
%bcond_without	python3
#
%define		pname	bsddb3
%define		module	bsddb
Summary:	Python interface for BerkeleyDB
Summary(pl.UTF-8):	Interfejs Pythona do BerkeleyDB
Name:		python-%{module}
Version:	5.1.2
Release:	2
License:	BSD-like w/o adv. clause
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/b/bsddb3/%{pname}-%{version}.tar.gz
# Source0-md5:	39a6b87af22318e2ff00b0c1b15c627c
URL:		http://www.argo.es/~jcea/programacion/pybsddb.htm
BuildRequires:	db-devel >= 4.1.25
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.613
%pyrequires_eq	python-modules
Obsoletes:	bsddb3
Obsoletes:	python-bsddb3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a nearly complete wrapping of the Sleepycat C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module. The databse objects can use various access methods:
btree, hash, recno, and queue. For the first time all of these are
fully supported in the Python wrappers. Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%description -l pl.UTF-8
Ten moduł dostarcza prawie całkowite opakowanie API C Sleepycat do
obiektów środowiska baz danych, baz danych, kursorów i transakcji, z
których każdy jest udostępniony jako pythonowy typ w module bsddb3.db.
Obiekty bazy danych mogą używać różnych metod dostępu: btree, hash,
recno i queue. Jest to pierwsza implementacja obsługi tych obiektów
dla Pythona. Więcej szczegółów o typach i metodach znajduje się w
załączonej dokumentacji lub na stronie WWW.

%package -n python3-%{pname}
Summary:	Python interface for BerkeleyDB
Summary(pl.UTF-8):	Interfejs Pythona do BerkeleyDB
Group:		Development/Languages/Python

%description -n python3-%{pname}
This module provides a nearly complete wrapping of the Oracle C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module. The databse objects can use various access methods:
btree, hash, recno, and queue. For the first time all of these are
fully supported in the Python wrappers. Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%description -n python3-%{pname} -l pl.UTF-8
Ten moduł dostarcza prawie całkowite opakowanie API C Oracle do
obiektów środowiska baz danych, baz danych, kursorów i transakcji, z
których każdy jest udostępniony jako pythonowy typ w module bsddb3.db.
Obiekty bazy danych mogą używać różnych metod dostępu: btree, hash,
recno i queue. Jest to pierwsza implementacja obsługi tych obiektów
dla Pythona. Więcej szczegółów o typach i metodach znajduje się w
załączonej dokumentacji lub na stronie WWW.

%prep
%setup -q -n %{pname}-%{version}

%build
%if %{with python2}
env CFLAGS="%{rpmcflags}" \
%{__python} setup.py build -b build-2 \
	--berkeley-db-libdir=%{_libdir} \
	--berkeley-db=%{_prefix}
%endif

%if %{with python3}
env CFLAGS="%{rpmcflags}" \
%{__python3} setup.py build -b build-3 \
	--berkeley-db-libdir=%{_libdir} \
	--berkeley-db=%{_prefix}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py build -b build-2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2 \

%py_postclean

# do not include in main package tests and devel headers
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/bsddb3/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/bsddb3/test_support.*
%{__rm} -r $RPM_BUILD_ROOT%{py_incdir}/bsddb3/bsddb.h
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2 \

# do not include in main package tests and devel headers
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/bsddb3/tests
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/bsddb3/test_support.*
%{__rm} -r $RPM_BUILD_ROOT%{py3_incdir}/bsddb3/bsddb.h
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{py_sitedir}/bsddb3
%{py_sitedir}/bsddb3/*.py[co]
%attr(755,root,root) %{py_sitedir}/bsddb3/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/bsddb3-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{pname}
%defattr(644,root,root,755)
%doc *.txt docs
%dir %{py3_sitedir}/bsddb3
%{py3_sitedir}/*.egg-info
%{py3_sitedir}/bsddb3/*.py
%{py3_sitedir}/bsddb3/__pycache__
%attr(755,root,root) %{py3_sitedir}/bsddb3/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-bsddb.spec,v $
Revision 1.36  2011/07/15 18:42:36  jajcus
- Python 3.2 fixes
- Release: 2

Revision 1.35  2011/03/10 12:58:36  lisu
- up to 5.1.2
- __rm macro

Revision 1.34  2010/11/10 09:13:37  lisu
- 5.1.1

Revision 1.33  2010/07/08 08:01:16  arekm
- release 2

Revision 1.32  2010/04/08 06:57:25  lisu
- up to 5.0.0

Revision 1.31  2010/03/29 11:47:55  lisu
- up to 4.8.4
- sorted BRs

Revision 1.30  2010/03/27 18:13:50  wiget
- build python2 and python3 versions from one spec
- release 2

Revision 1.29  2010/02/23 13:10:22  glen
- unify from template spec, do not package tests and headers in main package

Revision 1.28  2010/02/23 11:49:45  lisu
- 4.8.3

Revision 1.27  2010/01/22 14:39:00  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.26  2010/01/22 08:21:07  lisu
- up to 4.8.2
- use %{module}

Revision 1.25  2009/11/06 08:46:53  lisu
- 4.8.1
- python version specific .egg-info

Revision 1.24  2009/03/14 22:42:44  duddits
- up to 4.7.5
- %files

Revision 1.23  2008/04/13 10:30:14  glen
- update to 4.6.3, new URL

Revision 1.22  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.20  2005/08/14 13:33:32  arekm
- fix requires

Revision 1.19  2005/06/27 01:24:40  saq
- up to 4.3.3

Revision 1.18  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.17  2004/12/28 13:30:45  wiget
- updated to 4.3.0
- fixed License

Revision 1.16  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.15  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.14  2004/11/03 22:30:58  paladine
- formatting

Revision 1.13  2004/07/28 08:03:15  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.12  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.11  2004/03/16 13:21:21  radzio
- update to 4.2.4

Revision 1.10  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.9  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/17 10:39:45  grzegol
- rel. 2 to rebuild with python-2.3

Revision 1.7  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.4  2003/02/15 08:21:56  trojan
- updated to 4.1.2

Revision 1.3  2003/01/06 07:13:49  wiget
- updated to 4.1.1

Revision 1.2  2002/10/18 10:29:35  wrobell
- renamed to python-bsddb
- fixed summaries

Revision 1.1  2002/10/18 10:28:49  wrobell
- renamed from python-bsddb3.spec to python-bsddb.spec (http://bsddb.sf.net)

Revision 1.4  2002/10/18 10:27:43  wrobell
- patch 0 is applied now
- include python macros

Revision 1.3  2002/09/17 13:05:17  wiget
- updated to 3.4.0
- added some BRs
- compile with db4
- distribute only pyc/pyo files

Revision 1.2  2002/09/16 01:35:32  qboosh
- adapterized, changed Name to python-bsddb3, added pl description
